Package serp.bytecode

# Interface BCEntity

All Known Implementing Classes:
  `Annotated`, `Annotation`, `Annotation.Property`, `Annotations`, `ArrayInstruction`, `ArrayLoadInstruction`, `ArrayStoreInstruction`, `Attribute`, `Attributes`, `BCClass`, `BCField`, `BCMember`, `BCMethod`, `BootstrapMethods`, `ClassInstruction`, `CmpInstruction`, `Code`, `ConstantInstruction`, `ConstantValue`, `ConvertInstruction`, `Deprecated`, `ExceptionHandler`, `Exceptions`, `FieldInstruction`, `GetFieldInstruction`, `GotoInstruction`, `IfInstruction`, `IIncInstruction`, `InnerClass`, `InnerClasses`, `Instruction`, `JumpInstruction`, `LineNumber`, `LineNumberTable`, `LoadInstruction`, `Local`, `LocalTable`, `LocalVariable`, `LocalVariableInstruction`, `LocalVariableTable`, `LocalVariableType`, `LocalVariableTypeTable`, `LookupSwitchInstruction`, `MathInstruction`, `MethodInstruction`, `MonitorEnterInstruction`, `MonitorExitInstruction`, `MonitorInstruction`, `MultiANewArrayInstruction`, `NewArrayInstruction`, `PutFieldInstruction`, `RetInstruction`, `ReturnInstruction`, `SourceFile`, `StackInstruction`, `StoreInstruction`, `SwitchInstruction`, `Synthetic`, `TableSwitchInstruction`, `TypedInstruction`, `UnknownAttribute`, `WideInstruction`

public interface BCEntity
Interface implemented by all bytecode entities. Entities must be able to access the project, constant pool, and class loader of the current class.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`getClassLoader()`
Return the class loader to use when loading related classes.
`ConstantPool`
`getPool()`
Return the constant pool of the current class.
`Project`
`getProject()`
Return the project of the current class.
`boolean`
`isValid()`
Return false if this entity has been removed from its parent; in this case the results of any operations on the entity are undefined.

## Method Details

### getProject

Project getProject()
Return the project of the current class.

### getPool

ConstantPool getPool()
Return the constant pool of the current class.

### getClassLoader

ClassLoader getClassLoader()
Return the class loader to use when loading related classes.

### isValid

boolean isValid()
Return false if this entity has been removed from its parent; in this case the results of any operations on the entity are undefined.